#include "ConsoleServer.h"
#include "ConsoleSession.h"
#include "Command.h"
#include "Log.h"

namespace core {
   
   ConsoleServer::ConsoleServer(EPoll &ePoll, Service &service, IPAddress address) 
     : TCPServerSocket(ePoll, service, address) {
		coreutils::Log(this); 
	}
      
   void ConsoleServer::logSend(std::string out) {
      for(auto *session : service.sessions) 
        ((ConsoleSession *)session)->writeLog(out);
   }
      
   
}
