#ifndef __ConsoleServer_h__
#define __ConsoleServer_h__

#include "includes"
#include "TCPServerSocket.h"
#include "Service.h"
#include "Command.h"
#include "Session.h"
#include "EPoll.h"

namespace core {
   
   class TCPSocket;
   
   ///
   ///  
   ///
   
   class ConsoleServer : public TCPServerSocket, coreutils::LogListener {
      
    public:
      
      //
      //
      //
      
      ConsoleServer(EPoll &ePoll, Service &service, IPAddress address);
      
      //
      //
      //
            
      void logSend(std::string out) override;
                  
   };

}


#endif
